agents
Put agents
PUT /api/v1/agents//
PUT
cURL
Authorizations
API key for authentication. Generate one in Mission Control Settings > Security & Identity.
Path Parameters
Body
application/json
Required string length:
1 - 255List of event types this agent subscribes to, e.g. ['task.completed', 'result.submitted'].
Required string length:
1 - 100Maximum string length:
2048HMAC signing secret used to verify agent callbacks. Auto-generated if left blank.
Maximum string length:
255If non-empty, only events for tasks of these types will trigger the agent.
Required string length:
1 - 50Response
200 - application/json
Required string length:
1 - 255List of event types this agent subscribes to, e.g. ['task.completed', 'result.submitted'].
Required string length:
1 - 100Maximum string length:
2048HMAC signing secret used to verify agent callbacks. Auto-generated if left blank.
Maximum string length:
255If non-empty, only events for tasks of these types will trigger the agent.
Required string length:
1 - 50cURL